<div>
<div class="row">
  <div class="form-group py-2 col-sm-12 col-md-6 col-lg-6 .col-xl-6" style="float: left"  *ngFor="let field of formConfigData">

    <div *ngIf="field.required  &&  field.type!='dropDown'">
    <!--<div *ngIf="field.required  &&  field.type!='dropDown' &&  field.type !='date'">-->
      <!--<label class="text-capitalize">{{field.label}}<span style="color:red" >*</span></label>
      <input *ngIf="!field.default" type="field.type" class="form-control"  placeholder= {{field.description}} name=field.label  [(ngModel)]="formConfigData[field.field]" required>
      <input *ngIf="field.default" type="field.type" class="form-control"  placeholder= {{field.description}} name=field.label  [value]="field.default"  onfocus="this.blur()" readonly="readonly">-->

      <mat-form-field color="accent" *ngIf="!field.default" class="full-width">
        <mat-label>{{field.label}}</mat-label>
        <input matInput *ngIf="!field.default" type="field.type" placeholder={{field.label}}  name=field.label  [(ngModel)]="formConfigData[field.field]" required>
      </mat-form-field>
      <mat-form-field color="accent" *ngIf="field.default" class="full-width">
        <mat-label>{{field.label}}</mat-label>
        <input matInput *ngIf="field.default" type="field.type"  placeholder= {{field.description}} name=field.label  [value]="field.default" disabled>
      </mat-form-field>
    </div>

    <div *ngIf="!field.required &&  field.type!='dropDown'">
    <!-- <div *ngIf="!field.required &&  field.type!='dropDown' && field.type !='date'">-->
      <!--<label class="text-capitalize">{{field.label}}</label>
      <input type="field.type" class="form-control"  placeholder= {{field.description}} name=field.label  [(ngModel)]="formConfigData[field.field]">-->

      <mat-form-field color="accent" class="full-width">
        <mat-label>{{field.label}}</mat-label>
        <input matInput type="field.type"  placeholder= {{field.description}} name=field.label  [(ngModel)]="formConfigData[field.field]">
      </mat-form-field>
    </div>

    <!--<div *ngIf="field.type=='date'">
      <mat-form-field color="accent" class="full-width">
        <input matInput [matDatepicker]="picker" placeholder="{{field.description}} (MM/DD/YYYY)" [(ngModel)]="formConfigData[field.field]">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>
    </div>-->

    <div *ngIf="field.type=='dropDown'">
     <!-- <label class="text-capitalize">{{field.label}}</label>
      <select  class="form-control"  [(ngModel)]="formConfigData[field.field]">
        <option  *ngFor="let val of field.value.dropDownValues" selected>{{val}}</option>
      </select>-->

      <mat-form-field color="accent" class="full-width">
        <mat-label>{{field.label}}</mat-label>
        <mat-select  placeholder="{{field.label}}" [(ngModel)]="formConfigData[field.field]">
          <mat-option  *ngFor="let val of field.value.dropDownValues" [value]="val">{{val}}</mat-option>
        </mat-select>
      </mat-form-field>
    </div>

  </div>
</div>
  <button mat-raised-button color="primary" class='' *ngIf="formConfigData.length > 0" (click)="submitConfigDetails()">Submit</button>
</div>
